"use strict";
exports.__esModule = true;
exports.ContentBuilderTemplate = void 0;
var tslib_1 = require("tslib");
// @ts-nocheck
require("./ContentBuilderTemplate.css");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var PropsWithAsAttributes_1 = require("../../../utils/types/PropsWithAsAttributes");
var usePropsHandler_1 = require("../../EventInterceptor/usePropsHandler");
var index_1 = require("./index");
var Typography_1 = require("../../Typography/Typography");
var Article_1 = require("../../Article/Article");
var DiagramsBlock_1 = require("../../DiagramsBlock/DiagramsBlock");
exports.ContentBuilderTemplate = (0, PropsWithAsAttributes_1.forwardRefWithAs)(function (props, ref) {
    var _a = (0, usePropsHandler_1.usePropsHandler)((0, index_1.cnContentBuilderTemplate)(), props), type = _a.type, title = _a.title, text = _a.text, diagrams = _a.diagrams, otherProps = (0, tslib_1.__rest)(_a, ["type", "title", "text", "diagrams"]);
    var typeNumber = type.toString();
    return (react_1["default"].createElement("div", { className: (0, index_1.cnContentBuilderTemplate)({ type: typeNumber }) },
        title && (react_1["default"].createElement(Typography_1.Typography.Text, { size: "xs", weight: "bold", transform: "uppercase", className: (0, index_1.cnContentBuilderTemplate)('Title') }, title)),
        text && (react_1["default"].createElement(Article_1.Article, { content: text, className: (0, index_1.cnContentBuilderTemplate)('SubTitle') })),
        (diagrams === null || diagrams === void 0 ? void 0 : diagrams.length) > 0 && (react_1["default"].createElement("div", { className: (0, index_1.cnContentBuilderTemplate)('Diagrams') },
            react_1["default"].createElement(DiagramsBlock_1.DiagramsBlock, (0, tslib_1.__assign)({ items: diagrams }, otherProps))))));
});
exports["default"] = exports.ContentBuilderTemplate;
